BAMTOBW(1)

NAME
bamToBw.pl - Generate BigWig file from BAM/CRAM, parallel processing where possible.

SYNOPSIS
bamToBw.pl [options] [file(s)...]

  Required parameters:
    -bam       -b   BAM/CRAM file to be processed.
    -outdir    -o   Folder to output result to.
    -reference -r   Path to genome.fa.
                     - Actually using fa.fai but for convention just provide '.fa' file

  Optional parameters:
    -threads   -t   Number of threads to use. [1]
    -filter    -f   Ignore reads with the filter flags [int]

  Targeted processing:
    -process   -p   Only process this step then exit, optionally set -index
                         bamToBw - Per chromosome BigWigs
                      generateBw - Generates merged BigWig

    -index     -i   Optionally restrict '-p' to single job
                      bwamem - 1..<lane_count>

  Other:
    -jobs      -j   For a parallel step report the number of jobs required
    -help      -h   Brief help message.
    -man       -m   Full documentation.

  Basic usage:
    bamToBw.pl -t 16 -b in.bam -o out.bw

  Advanced/farm usage:
    bamToBw.pl -b in.bam -o out.bw -p bamToBw -i 1..X
     # X can be determined with 'bamToBw.pl -b in.bam -o out.bw -j'
     # once all above steps completed
    bamToBw.pl -b in.bam -o out.bw -p generateBw -i 1

  Run with '-m' for possible input file types.

OPTIONS

-outdir
    Directory to write output to. During processing a temp folder will be generated in this area, should the process fail only delete this if you are unable to resume the process.

    Final output files include: <SAMPLE>.bam, <SAMPLE>.bam.bai, <SAMPLE>.md5, <SAMPLE>.met

-threads
    Number of threads to be used in processing.

    If perl is not compiled with threading some steps will not run in parallel..

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.

  TARGETED PROCESSING

-process
    If you want to run the code in a more efficient manner then this allows each procesing type to be executed in isolation. You can restrict to a single process within the block by specifying -index as well.

DESCRIPTION
bamToBw.pl will attempt to generate a BigWig file per chromosome and then concatenate them into a single file.